# $Revision: 1.45 $, $Date: 2009/01/22 10:33:23 $
# NOTE:
# - bundled sqlite has local modifications to support large db
# - bundled lua is stripped, it doesn't contain some features
#   that create security holes in monotone environment
# TODO:
# - subpackage with init-scripts
# - database format is changing - migrate and regenerate options has to be run.
Summary:	A free distributed version control system
Summary(pl.UTF-8):	Wolnodostępny rozproszony system kontroli wersji
Name:		monotone
Version:	0.42
Release:	1
License:	GPL v2
Group:		Development/Version Control
Source0:	http://monotone.ca/downloads/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c8e916d674b6608369d9f447700a8830
URL:		http://www.venge.net/monotone/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	libidn-devel
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
monotone is a free distributed version control system. It provides a
simple, single-file transactional version store, with fully
disconnected operation and an efficient peer-to-peer synchronization
protocol. It understands history-sensitive merging, lightweight
branches, integrated code review and 3rd party testing. It uses
cryptographic version naming and client-side RSA certificates. It has
good internationalization support, has no external dependencies, runs
on Linux, Solaris, MacOS X, and Windows, and is licensed under the GNU
GPL.

%description -l pl.UTF-8
monotone to wolnodostępny, rozproszony system kontroli wersji.
Dostarcza proste, jednoplikowe, transakcyjne przechowywanie wersji, z
w pełni bezpołączeniową pracą i wydajnym protokołem synchronizacji
peer-to-peer. Obsługuje łączenie z uwzględnieniem historii, lekkie
odgałęzienia, zintegrowany podgląd kodu i testowanie przez osoby
trzecie. Używa kryptograficznego nazywania wersji i certyfikatów RSA
po stronie klienta. Ma dobre umiędzynarodowienie, nie ma zewnętrznych
zależności, działa na Linuksie, Solarisie, MacOS-ie X oraz Windows i
jest licencjonowany na GNU GPL.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
CPPFLAGS="-I%{_includedir}/lua50"; export CPPFLAGS
%configure \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}
mv $RPM_BUILD_ROOT%{_docdir}/%{name}/monotone.html \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS UPGRADE monotone.html
%attr(755,root,root) %{_bindir}/*
%{_infodir}/monotone*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: monotone.spec,v $
Revision 1.45  2009/01/22 10:33:23  jareq
-updated to 0.42

Revision 1.44  2008/09/04 10:27:32  jareq
- updated to 0.41

Revision 1.43  2008/04/29 14:06:07  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.42  2008-04-14 20:20:53  jareq
- updated to 0.40

Revision 1.41  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.40  2007-12-26 15:18:52  adamg
- updated to 0.38

Revision 1.39  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.38  2007/08/06 08:42:04  jareq
- updated to 0.36
- removed %{name}-climits.patch (included in source)
- removed unnecessary BR
- rel 1

Revision 1.37  2007/08/02 15:26:21  arekm
- rel 3

Revision 1.36  2007/07/12 20:39:27  blues
- TODO

Revision 1.35  2007/06/21 18:57:39  arekm
- rel 2

Revision 1.34  2007/06/16 18:05:08  lkrotowski
- added patch for missing include

Revision 1.33  2007/05/10 06:28:02  jareq
- updated to 0.35

Revision 1.32  2007/04/30 11:53:02  kosmo
- updated to 0.34

Revision 1.31  2007/03/21 16:15:26  lkrotowski
- up to 0.33
- removed obsoleted patch
- removed obsoleted files

Revision 1.30  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.28  2007/01/05 21:59:37  jareq
- updated to 0.32

Revision 1.27  2006/11/17 17:29:32  jareq
- updated to 0.31
- removed patch 1 (not needed)
- rel 1

Revision 1.26  2006/10/05 18:25:39  qboosh
- BR: ac,am

Revision 1.25  2006/10/05 17:12:14  jareq
- added patch monotone-boost_path.patch
- added patch monotone-cmd_list.patch
- rel 2

Revision 1.24  2006/10/05 16:51:08  jareq
- updated BR

Revision 1.23  2006/09/23 16:33:25  jareq
- updated to 0.30

Revision 1.22  2006/07/23 20:31:21  jareq
- updated to 0.28

Revision 1.21  2006/06/21 10:02:58  qboosh
- no //

Revision 1.20  2006/06/18 16:24:53  jareq
- updated to 0.27
- added manual (monotone.html) to doc
- rel. 1

Revision 1.19  2006/05/15 21:23:13  jareq
- updated to 0.26

Revision 1.18  2006/01/01 11:30:34  jareq
- updated to 0.25

Revision 1.17  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.16  2005/11/28 10:52:23  arekm
- up to 0.24

Revision 1.15  2005/10/17 12:51:05  jareq
- updated to 0.23
- rel 1
- STBR

Revision 1.14  2005/08/24 07:34:30  jareq
- updated to 0.22
- rel 1

Revision 1.13  2005/07/25 21:18:15  arekm
- add BR boost-mem_fn-devel

Revision 1.12  2005/07/25 21:07:24  arekm
- rel 2

Revision 1.11  2005/07/25 21:06:14  arekm
- up to 0.21; use bundled libs (see reasons in spec file)

Revision 1.10  2005/07/14 05:22:06  jareq
- updated to 0.20

Revision 1.9  2005/05/04 21:01:48  arekm
- up to 0.19

Revision 1.8  2005/04/12 22:08:42  arekm
- rel2 (bump boost BR)

Revision 1.7  2005/04/12 16:22:02  arekm
- rel 1; correct BR for boost libs

Revision 1.6  2005/04/12 11:22:45  cieciwa
- version 0.18,
- release 0.1,
- updated MD5 sum.

Revision 1.5  2005/04/07 18:46:44  arekm
- up to 0.17

Revision 1.4  2004/06/19 18:04:13  qboosh
- pl

Revision 1.3  2004/06/10 19:04:07  arekm
- external lua/sqlite

Revision 1.2  2004/06/10 18:53:37  arekm
- builds

Revision 1.1  2004/06/10 17:31:18  arekm
- initial pld release (not finished)
